API ReferencePhone Numbers
Add phone number
Add a new phone number to an organization via BYOP or purchase through Twilio.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidRequest Body
application/json
action*string
BYOP: Bring Your Own Number, purchase: Buy from Twilio
Value in
"byop" | "purchase"phoneNumber?string
E.164 formatted phone number (required for BYOP)
displayName?string
Display name for this number
assistantId?string
Optional assistant to assign to this number
Format
uuidResponse Body
application/json
curl -X POST "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/phone-numbers" \ -H "Content-Type: application/json" \ -d '{ "action": "byop", "phoneNumber": "+1234567890", "displayName": "Customer Support" }'{
"phoneNumber": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"phoneNumber": "string",
"displayName": "string",
"assistantId": "bb8c7fe3-2157-48a3-a0a7-af503b091988",
"provider": "twilio",
"status": "active",
"twilioSid": "string",
"capabilities": {
"voice": true,
"sms": true,
"mms": true
},
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty